/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.ergebnis.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QErgebnisLogEintrag extends EntityPathBase<ErgebnisLogEintrag> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// Ergebnis
, "ergebnis.wahl"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QErgebnisLogEintrag ergebnisLogEintrag = new QErgebnisLogEintrag("ergebnisLogEintrag");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final EnumPath<de.ivu.elect.business.ergebnis.entity.ErgebnisLogEintragArt> ergebnisLogEintragArt = createEnum("ergebnisLogEintragArt", de.ivu.elect.business.ergebnis.entity.ErgebnisLogEintragArt.class);

  public final NumberPath<java.lang.Long> position = createNumber("position", java.lang.Long.class);

  public final StringPath text = createString("text");


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.ergebnis.entity.QErgebnis ergebnis;

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QErgebnisLogEintrag(Class<? extends ErgebnisLogEintrag> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.ergebnis = inits.isInitialized("ergebnis") ? new de.ivu.elect.business.ergebnis.entity.QErgebnis(forProperty("ergebnis"), inits.get("ergebnis")) : null;// de.ivu.elect.business.ergebnis.entity.QErgebnis.ergebnis;
  }

  public QErgebnisLogEintrag(String variable) {
    this(ErgebnisLogEintrag.class, forVariable(variable), INITS);
  }

  public QErgebnisLogEintrag(Path<? extends ErgebnisLogEintrag> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QErgebnisLogEintrag(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QErgebnisLogEintrag(PathMetadata metadata, PathInits inits) {
    this(ErgebnisLogEintrag.class, metadata, inits);
  }
}
